Bug 1421082 - nmcli duplicates a connection after a NetworkManager restart if DHCP_HOSTNAME is defined
Summary: nmcli duplicates a connection after a NetworkManager restart if DHCP_HOSTNAM...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.3
Hardware: Unspecified
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Francesco Giudici
QA Contact: Desktop QE
Mirek Jahoda
URL:
Whiteboard:
Depends On: 1393997
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-10 10:13 UTC by Jaroslav Reznik
Modified: 2017-03-13 14:24 UTC (History)
17 users (show)

Fixed In Version: NetworkManager-1.4.0-16.el7_3
Doc Type: Bug Fix
Doc Text:
Previously, after a restart of the NetworkManager service, a connection with an already-set DHCP_HOSTNAME property was duplicated. Consequently, a DHCP lease was not always renewed upon its expiry. With this update, the connection is no longer duplicated, and a DHCP lease is correctly renewed in this scenario. Note that the fix includes ignoring the already-set hostname properties in the matching process. To avoid possible problems, remove all unused connections with an incorrect ipv4.dhcp-hostname. For more information, see https://access.redhat.com/articles/2948041
Clone Of: 1393997
Environment:
Last Closed: 2017-03-02 17:11:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0377 normal SHIPPED_LIVE NetworkManager bug fix update 2017-03-02 22:05:15 UTC
Red Hat Knowledge Base (Solution) 2914031 None None None 2017-02-10 10:13:38 UTC

Description Jaroslav Reznik 2017-02-10 10:13:23 UTC
This bug has been copied from bug #1393997 and has been proposed
to be backported to 7.3 z-stream (EUS).

Comment 6 errata-xmlrpc 2017-03-02 17:11:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0377.html


Note You need to log in before you can comment on or make changes to this bug.